- [HTTP request](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.socRoles/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.socRoles/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.socRoles/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.socRoles/list#body.request_body)
- [Response body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.socRoles/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.socRoles/list#body.ListSocRolesResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.socRoles/list#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.socRoles/list#body.aspect_1)

**Full name**: projects.locations.instances.socRoles.list

Lists all available SocRoles. Supports filtering by `displayName` or `defaultRole`.

### HTTP request

`GET https://{endpoint}/v1alpha/{parent}/socRoles`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/chronicle/docs/reference/rest#rest_endpoints).

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The instance to list SocRoles for. Format: projects/{project}/locations/{location}/instances/{instance}/socRoles |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. The maximum number of SocRoles to return. The service may return fewer than this value. If unspecified, at most 50 SocRoles will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000. |
| `pageToken` | `string` Optional. A page token, received from a previous `socRoles.list` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `ListBooks` must match the call that provided the page token. |
| `filter` | `string` Optional. A filter to apply to the list of SocRoles. Supported filter fields: \* `displayName`: Filter by the display name. \* `default`: Filter by the default flag. \* `additionalRolesAccess`: Filter by the additional roles access. Example: `filter="displayName='some_name'"` |
| `orderBy` | `string` Optional. Configures ordering of SocRoles in the response. If not specified, SocRoles are returned in descending order of their create time. The default ordering is by create time in descending order. The orderBy string is a comma separated list of fields. Supported sort fields: \* `displayName` \* `default` example: "displayName desc, default" |

### Request body

The request body must be empty.

### Response body

Response message for socRoles.list.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "socRoles": [ { object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.socRoles#SocRole`) } ], "nextPageToken": string, "totalSize": integer } ``` |

| Fields ||
|---|---|
| `socRoles[]` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.socRoles#SocRole`)`` The list of SocRoles. |
| `nextPageToken` | `string` A token, which can be sent as `pageToken` to retrieve the next page. If this field is omitted, there are no subsequent pages. |
| `totalSize` | `integer` Total number of SocRoles. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/chronicle`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `chronicle.socRoles.get`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).